package cn.com.poc.common.domain.database;

/**
 * @author alex.yao
 * @date 2025/5/28
 */
public class TableInfo {
    private String TABLE_NAME;
    private String TABLE_COMMENT;
    private int TABLE_ROWS;
    private int TABLE_COLUMN;

    public String getTABLE_NAME() {
        return TABLE_NAME;
    }

    public void setTABLE_NAME(String TABLE_NAME) {
        this.TABLE_NAME = TABLE_NAME;
    }

    public String getTABLE_COMMENT() {
        return TABLE_COMMENT;
    }

    public void setTABLE_COMMENT(String TABLE_COMMENT) {
        this.TABLE_COMMENT = TABLE_COMMENT;
    }

    public int getTABLE_ROWS() {
        return TABLE_ROWS;
    }

    public void setTABLE_ROWS(int TABLE_ROWS) {
        this.TABLE_ROWS = TABLE_ROWS;
    }

    public int getTABLE_COLUMN() {
        return TABLE_COLUMN;
    }

    public void setTABLE_COLUMN(int TABLE_COLUMN) {
        this.TABLE_COLUMN = TABLE_COLUMN;
    }

    @Override
    public String toString() {
        return "TableInfo{" +
                "TABLE_NAME='" + TABLE_NAME + '\'' +
                ", TABLE_COMMENT='" + TABLE_COMMENT + '\'' +
                ", TABLE_ROWS=" + TABLE_ROWS +
                ", TABLE_COLUMN=" + TABLE_COLUMN +
                '}';
    }
}
